/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<calendarmanager.h>)
#  include <calendarmanager.h>
#endif
#if __has_include(<collection.h>)
#  include <collection.h>
#endif
#if __has_include(<collectioncomboboxmodel.h>)
#  include <collectioncomboboxmodel.h>
#endif
#if __has_include(<filter.h>)
#  include <filter.h>
#endif
#if __has_include(<hourlyincidencemodel.h>)
#  include <hourlyincidencemodel.h>
#endif
#if __has_include(<incidenceoccurrencemodel.h>)
#  include <incidenceoccurrencemodel.h>
#endif
#if __has_include(<incidencewrapper.h>)
#  include <incidencewrapper.h>
#endif
#if __has_include(<infinitecalendarviewmodel.h>)
#  include <infinitecalendarviewmodel.h>
#endif
#if __has_include(<mimetypes.h>)
#  include <mimetypes.h>
#endif
#if __has_include(<monthmodel.h>)
#  include <monthmodel.h>
#endif
#if __has_include(<timezonelistmodel.h>)
#  include <timezonelistmodel.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_mauikit_calendar()
{
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Akonadi::Quick::Collection>("org.mauikit.calendar", 1);
    qmlRegisterEnum<Akonadi::Quick::Collection::Right>("Akonadi::Quick::Collection::Right");
    qmlRegisterEnum<Akonadi::Quick::Collection::Role>("Akonadi::Quick::Collection::Role");
    qmlRegisterTypesAndRevisions<Akonadi::Quick::CollectionComboBoxModel>("org.mauikit.calendar", 1);
    qmlRegisterTypesAndRevisions<Akonadi::Quick::MimeTypes>("org.mauikit.calendar", 1);
    qmlRegisterTypesAndRevisions<CalendarManager>("org.mauikit.calendar", 1);
    qmlRegisterTypesAndRevisions<Filter>("org.mauikit.calendar", 1);
    qmlRegisterTypesAndRevisions<HourlyIncidenceModel>("org.mauikit.calendar", 1);
    qmlRegisterEnum<HourlyIncidenceModel::Filter>("HourlyIncidenceModel::Filter");
    qmlRegisterEnum<HourlyIncidenceModel::Filters>("HourlyIncidenceModel::Filters");
    qmlRegisterEnum<HourlyIncidenceModel::Filter>("HourlyIncidenceModel::Filter");
    qmlRegisterTypesAndRevisions<IncidenceOccurrenceModel>("org.mauikit.calendar", 1);
    qmlRegisterEnum<IncidenceOccurrenceModel::Roles>("IncidenceOccurrenceModel::Roles");
    qmlRegisterTypesAndRevisions<IncidenceWrapper>("org.mauikit.calendar", 1);
    qmlRegisterEnum<IncidenceWrapper::RecurrenceIntervals>("IncidenceWrapper::RecurrenceIntervals");
    qmlRegisterEnum<IncidenceWrapper::IncidenceTypes>("IncidenceWrapper::IncidenceTypes");
    qmlRegisterEnum<IncidenceWrapper::RecurrenceActions>("IncidenceWrapper::RecurrenceActions");
    qmlRegisterTypesAndRevisions<InfiniteCalendarViewModel>("org.mauikit.calendar", 1);
    qmlRegisterEnum<InfiniteCalendarViewModel::Scale>("InfiniteCalendarViewModel::Scale");
    qmlRegisterEnum<InfiniteCalendarViewModel::Roles>("InfiniteCalendarViewModel::Roles");
    qmlRegisterTypesAndRevisions<MonthModel>("org.mauikit.calendar", 1);
    QMetaType::fromType<QAbstractItemModel *>().id();
    qmlRegisterEnum<QAbstractItemModel::LayoutChangeHint>("QAbstractItemModel::LayoutChangeHint");
    qmlRegisterEnum<QAbstractItemModel::CheckIndexOption>("QAbstractItemModel::CheckIndexOption");
    QMetaType::fromType<QAbstractListModel *>().id();
    QMetaType::fromType<QAbstractProxyModel *>().id();
    QMetaType::fromType<QSortFilterProxyModel *>().id();
    qmlRegisterTypesAndRevisions<TimeZoneListModel>("org.mauikit.calendar", 1);
    qmlRegisterEnum<TimeZoneListModel::Roles>("TimeZoneListModel::Roles");
    QT_WARNING_POP
    qmlRegisterModule("org.mauikit.calendar", 1, 0);
}

static const QQmlModuleRegistration orgmauikitcalendarRegistration("org.mauikit.calendar", qml_register_types_org_mauikit_calendar);
